<?php

namespace Blog\DB;

class Menu extends DB
{
    // Fetch all links for a given menu type
    public function getMenu($type)
    {
        $sql = "SELECT * FROM menu WHERE type = :type ;";
        $stmt = $this->prepare($sql);
        $stmt->bindValue(":type", $type);
        $res = $stmt->execute();
        return $res;
    }
}
