<?php

namespace Blog\Model;

use Blog\DB\Blog as BlogDB;
use Blog\Model\Blog;

class Blogs
{

    protected $blogs = [];

    public function getBlog($slug)
    {
        $db = new BlogDB();
        $res = $db->getBlog($slug);
        $result = $res->fetchArray(SQLITE3_ASSOC);
        $blog = new Blog();
        $blog->setSlug($result['slug']);
        $blog->setID($result['id']);
        $blog->setTitle($result['title']);
        $blog->setContent($result['content']);
        $this->blogs[] = $blog;
        return $this;
    }

    // TODO/ filter system
    // $filter is assoc array vb ['id' => 'dbase id', 'category'=>['PHP', 'Slim']]
    // of : ['id' => [1,2,3]]
    public function getBlogs()
    {
        $db = new BlogDB();
        $res = $db->getBlogs();
        while ($result = $res->fetchArray(SQLITE3_ASSOC)) {
            $blog = new Blog();
            $blog->setSlug($result['slug']);
            $blog->setID($result['id']);
            $blog->setTitle($result['title']);
            $blog->setContent($result['content']);
            $this->blogs[] = $blog;
        }
        return $this;
    }

    public function getBlogsList()
    {
        return $this->blogs;
    }
}
